#
# spec file for package python3-matplotlib
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-matplotlib
Version:        1.4.3
Release:        4.26
Summary:        Plotting Library for Python
License:        SUSE-Matplotlib
Group:          Development/Libraries/Python
Url:            http://matplotlib.org
Source:         https://pypi.python.org/packages/source/m/matplotlib/matplotlib-%{version}.tar.gz
Source1:        matplotlib-setup.cfg
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  agg-devel
BuildRequires:  fdupes
BuildRequires:  fltk-devel
BuildRequires:  freetype2-devel >= 2.3
BuildRequires:  gcc-c++
BuildRequires:  ghostscript
BuildRequires:  libpng-devel >= 1.2
BuildRequires:  libxml2-tools
BuildRequires:  pkg-config
BuildRequires:  poppler-tools
BuildRequires:  python3
BuildRequires:  python3-CXX-devel >= 6.2.4
BuildRequires:  python3-Pillow
BuildRequires:  python3-dateutil >= 1.1
BuildRequires:  python3-devel
BuildRequires:  python3-numpy-devel >= 1.6
BuildRequires:  python3-pyparsing >= 1.5.6
BuildRequires:  python3-pytz
BuildRequires:  python3-setuptools
BuildRequires:  python3-six >= 1.3
BuildRequires:  qhull-devel >= 2003.1
# needed for testing  -- Not doing tests because they take too long
# BuildRequires:  inkscape
# BuildRequires:  python3-mock
# BuildRequires:  python3-nose
# cairo dependencies
BuildRequires:  python3-cairocffi
# GTK dependencies
BuildRequires:  gtk2-devel
BuildRequires:  libgnome-devel
BuildRequires:  python3-gobject
BuildRequires:  python3-gobject-devel
BuildRequires:  python3-gobject2
BuildRequires:  python3-gobject2-devel
# latex dependencies
BuildRequires:  texlive-dvipng
BuildRequires:  texlive-latex
BuildRequires:  texlive-tex
%if 0%{?suse_version} != 1315
BuildRequires:  texlive-sfmath
%endif
# Qt4 dependencies
# BuildRequires:  python3-pyside
BuildRequires:  python3-qt4
BuildRequires:  python3-qt4-devel
# Qt5 dependencies
%ifnarch ppc64 ppc64le
%if 0%{?suse_version} > 1315
BuildRequires:  python3-qt5
BuildRequires:  python3-qt5-devel
%endif
%endif
# tk dependencies
BuildRequires:  python3-tk
BuildRequires:  tcl
BuildRequires:  tcl-devel
BuildRequires:  tk
BuildRequires:  tk-devel
# WebAgg dependencies
BuildRequires:  python3-tornado
# Wx Dependencies
# BuildRequires:  python3-wxWidgets
# BuildRequires:  wxWidgets-devel
# %%define _use_internal_dependency_generator 0
# %%define __find_requires %%wx_requires
Requires:       python3-dateutil >= 1.1
Requires:       python3-numpy >= 1.6
Requires:       python3-pyparsing >= 1.5.6
Requires:       python3-pytz
Requires:       python3-six >= 1.3
Recommends:     ghostscript
Recommends:     libxml2-tools
Recommends:     python-Pillow
Recommends:     poppler-tools
Recommends:     python-matplotlib-tk

%description
matplotlib is a python 2D plotting library which produces publication
quality figures in a variety of hardcopy formats and interactive
environments across platforms. matplotlib can be used in python
scripts, the python and ipython shell (ala matlab or mathematica), web
application servers, and six graphical user interface toolkits.

%package cairo
Summary:        Cairo backend for %{name}
License:        SUSE-Matplotlib
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       python3-cairocffi

%description cairo
This package includes the non-interactive Cairo-based backend 
for the %{name} plotting package

%package gtk2
Summary:        GTK2 backends for %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       %{name}-cairo = %{version}
Requires:       python3-gobject2

%description gtk2
This package includes the GTK2-based gdk, gtk, gtkagg, and
gtkcairo backends for the %{name} plotting package

%package gtk3
Summary:        GTK3 backends for %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       %{name}-cairo = %{version}
Requires:       python3-gobject

%description gtk3
This package includes the GTK3-based gtk3, gtk3agg, and
gtk3cairo backends for the %{name} plotting package

%package latex
Summary:        Allow rendering latex in %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       texlive-dvipng
Requires:       texlive-latex
Requires:       texlive-tex
%if 0%{?suse_version} != 1315
Requires:       texlive-sfmath
%endif

%description latex
This package allows %{name} to display latex in plots
and figures.

%package qt-shared
Summary:        Shared files for the Qt backends for %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}

%description qt-shared
This package includes files needed by both the Qt4-based pyqt4 and 
pyside backends and the Qt5-based pyqt5 backend for the %{name}
plotting package

%package qt4
Summary:        Qt4 backends for %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       %{name}-qt-shared = %{version}
# Requires:       python3-pyside
Requires:       python3-qt4

%description qt4
This package includes the Qt4-based pyqt4 and pyside backends
for the %{name} plotting package

%package qt5
Summary:        Qt5 backend for %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       %{name}-qt-shared = %{version}
Requires:       python-qt5

%description qt5
This package includes the Qt5-based pyqt5 backend
for the %{name} plotting package

%package designer
Summary:        Qt Designer plugin for %{name}
License:        MIT
Group:          Development/Libraries/Python
Requires:       %{name}-qt4 = %{version}
Requires:       qt-creator

%description designer
This is a plugin and widget to let you use %{name} 
plots as widget in PyQt4 GUIs using Qt Designer

This plugin comes from Python(x,y)

%package tk
Summary:        Tk backend for %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       python3-tk
Requires:       tcl >= 8.3

%description tk
This package includes the Tk-based tkagg backend
for the %{name} plotting package

%package web
Summary:        Web backend for %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       python3-tornado

%description web
This package includes the browser-based webagg backend
for the %{name} plotting package

%package wx
Summary:        WxWidgets backend for %{name}
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       python3-wxWidgets

%description wx
This package includes the wxWidgets-based wxagg backend
for %{name} plotting package

%prep
%setup -q -n matplotlib-%{version}
chmod -x lib/matplotlib/mpl-data/images/*.svg
find examples lib/matplotlib lib/mpl_toolkits/mplot3d -type f -name "*.py" -exec sed -i "s|#!\/usr\/bin\/env python||" {} \;

%build
cp %{SOURCE1} ./setup.cfg
%if 0%{?suse_version} > 1310
export XDG_RUNTIME_DIR=/tmp
%endif
python3 setup.py build

%install
%if 0%{?suse_version} > 1310
export XDG_RUNTIME_DIR=/tmp
%endif
python3 setup.py install --root=%{buildroot} --prefix=%{_prefix}
%fdupes %{buildroot}%{python3_sitearch}

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE CHANGELOG PKG-INFO examples doc/users/license.rst
%{python3_sitearch}/matplotlib/
%{python3_sitearch}/matplotlib-%{version}*-nspkg.pth
%{python3_sitearch}/matplotlib-%{version}*.egg-info
%{python3_sitearch}/mpl_toolkits/
%{python3_sitearch}/pylab.py*
%{python3_sitearch}/__pycache__/pylab.cpython-*.pyc
# %exclude %{python3_sitearch}/matplotlib/backends/_backend_gdk.so
# %exclude %{python3_sitearch}/matplotlib/backends/_gtkagg.so
# %exclude %{python3_sitearch}/matplotlib/backends/_tkagg.so
%exclude %{python3_sitearch}/matplotlib/backends/backend_cairo.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_cocoaagg.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_gdk.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_gtk.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_gtkagg.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_gtkcairo.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_gtk3.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_gtk3agg.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_gtk3cairo.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_qt4.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_qt4agg.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_qt5.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_qt5agg.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_tkagg.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_webagg.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_webagg_core.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_wx.*
%exclude %{python3_sitearch}/matplotlib/backends/backend_wxagg.*
%exclude %{python3_sitearch}/matplotlib/backends/qt_compat.*
%exclude %{python3_sitearch}/matplotlib/backends/qt4_compat.*
%exclude %{python3_sitearch}/matplotlib/backends/tkagg.*
%exclude %{python3_sitearch}/matplotlib/backends/qt_editor/
%exclude %{python3_sitearch}/matplotlib/backends/web_backend/
%exclude %{python3_sitearch}/mpl_toolkits/gtktools.*

%files cairo
%defattr(-,root,root,-)
%{python3_sitearch}/matplotlib/backends/backend_cairo.*

%files gtk2
%defattr(-,root,root,-)
# %{python3_sitearch}/matplotlib/backends/_backend_gdk.so
# %{python3_sitearch}/matplotlib/backends/_gtkagg.so
%{python3_sitearch}/matplotlib/backends/backend_gdk.*
%{python3_sitearch}/matplotlib/backends/backend_gtk.*
%{python3_sitearch}/matplotlib/backends/backend_gtkagg.*
%{python3_sitearch}/matplotlib/backends/backend_gtkcairo.*
%{python3_sitearch}/mpl_toolkits/gtktools.*

%files gtk3
%defattr(-,root,root,-)
%{python3_sitearch}/matplotlib/backends/backend_gtk3.*
%{python3_sitearch}/matplotlib/backends/backend_gtk3agg.*
%{python3_sitearch}/matplotlib/backends/backend_gtk3cairo.*

# Dummy package to pull in latex dependencies.

%files latex
%defattr(-,root,root,-)
%doc doc/users/usetex.rst

# IMPORTANT: the qt4 backend makes use of the qt5 backend, 
# which is actually a generic qt backend.
# So we need to package all the qt5 stuff in this generic
# package, and provide a stub package which pulls in the 
# python-qt5 dependency.

%files qt-shared
%defattr(-,root,root,-)
%{python3_sitearch}/matplotlib/backends/backend_qt5.*
%{python3_sitearch}/matplotlib/backends/backend_qt5agg.*
%{python3_sitearch}/matplotlib/backends/qt_compat.*
%{python3_sitearch}/matplotlib/backends/qt4_compat.*
%{python3_sitearch}/matplotlib/backends/qt_editor/

%files qt4
%defattr(-,root,root,-)
%{python3_sitearch}/matplotlib/backends/backend_qt4.*
%{python3_sitearch}/matplotlib/backends/backend_qt4agg.*

%ifnarch ppc64 ppc64le
%if 0%{?suse_version} > 1315
%files qt5
%defattr(-,root,root,-)
# IMPORTANT: the qt4 backend makes use of the qt5 backend, 
# which is actually a generic qt backend.
# So we need to package all the qt5 stuff in a generic
# package, and provide this stub package which pulls in the 
# python-qt5 dependency.
%doc README.rst
%endif
%endif

%if 0%{?suse_version} != 1315
%files tk
%defattr(-,root,root,-)
%{python3_sitearch}/matplotlib/backends/backend_tkagg.*
%{python3_sitearch}/matplotlib/backends/tkagg.*
# %{python3_sitearch}/matplotlib/backends/_tkagg.so
%endif

%files web
%defattr(-,root,root,-)
%{python3_sitearch}/matplotlib/backends/backend_webagg.*
%{python3_sitearch}/matplotlib/backends/backend_webagg_core.*
%{python3_sitearch}/matplotlib/backends/web_backend/

# %files wx
# %defattr(-,root,root,-)
# %{python3_sitearch}/matplotlib/backends/backend_wx.*
# %{python3_sitearch}/matplotlib/backends/backend_wxagg.*

%changelog
* Mon Jun 29 2015 toddrme2178@gmail.com
- Disable qt5 on ppc
* Mon Jun 29 2015 toddrme2178@gmail.com
- Disable qt5 and tk on SLE 12
- Don't require texlive-sfmath on SLE 12
* Tue Feb 17 2015 arun@gmx.de
- specfile:
  * update url
  * update source url to point to pypi
- update to version 1.4.3:
  * Many bugs are fixed including:
  - fixing drawing of edge-only markers in AGG
  - fix run-away memory usage when using %%inline or saving with a
    tight bounding box with QuadMesh artists
  - improvements to wx and tk gui backends
  * Additionally the webagg and nbagg backends were brought closer to
    feature parity with the desktop backends with the addition of
    keyboard and scroll events thanks to Steven Silvester.
* Thu Jan 22 2015 dimstar@opensuse.org
- Fix %%files section.
* Mon Oct 27 2014 toddrme2178@gmail.com
- Update to 1.4.2.  This is a bug-fix release for the 1.4 series.
  - corrected boxplot in pyplot.py
  - added extra paths to default search paths for freetype
* Mon Oct 20 2014 toddrme2178@gmail.com
- Update to 1.4.1.  This is a bug-fix release for the 1.4 series.
  - reverts the changes to interactive plotting so ion will work as
    before in all cases fixed boxplot regressions
  - fixes for finding freetype and libpng
  - sundry unicode fixes (looking up user folders, importing
    seaborn/pandas/networkx with macosx backend)
  - nbagg works with python 3 + new font awesome
  - fixed saving dialogue in QT5
* Thu Sep 18 2014 toddrme2178@gmail.com
- Create subpackage to pull in latex dependencies so they are more
  visible to users.
- Comment out testing BuildRequires since we aren't doing testing.
  We aren't doing testing because it takes a long time and a lot
  of packages depend on matplotlib, so it slows down the build
  process for python 3 packages too much.
* Thu Sep 11 2014 toddrme2178@gmail.com
- Add new python-cairocffi dependency.  This is the recommended
  dependency for the cairo backend upstream.
- Split out the cairo backend into its own subpackage.  It is no
  longer tied to gtk, so people can use it on its own without
  pulling in any gtk dependencies.
* Wed Sep 10 2014 toddrme2178@gmail.com
- Dependency and spec file cleanups
* Wed Aug 27 2014 toddrme2178@gmail.com
- Fixed issues with qt.  The qt5 backend is actually a generic
  qt backend, which the qt4 backend depends on.  So it needs to be
  available for the qt4 backend to work at all.  However, we need
  to pull in the python3-qt5 package to make it work, and that
  package is only available for openSUSE > 13.1.  So we need to
  split the generic qt stuff, including the qt5 stuff, into a
  package both the qt4 and qt5 backends can depend on, and then
  create a stub qt5 package that just pulls in python3-qt5
- Reorganized some other backend packages based on backend changes
* Tue Aug 26 2014 toddrme2178@gmail.com
- Update to 1.4.0
  * New colormap for red-green color blind users
  * Documentation changes
  - Phil Elson rewrote of the documentation and userguide for both
    Legend and PathEffects.
  * New plotting features
  - Power-law normalization
  - Fully customizable boxplots
  - Support for datetime axes in 2d plots
  - Support for additional spectrum types
  - Support for detrending and windowing 2D arrays in mlab
  - Support for strides in mlab
  - Formatter for new-style formatting strings
  - Consistent grid sizes in streamplots
  - Get a list of all tick labels (major and minor)
  - Separate horizontal/vertical axes padding support in ImageGrid
  - Support for skewed transformations
  - Support for specifying properties of wedge and text in pie
    charts.
  - Fixed the direction of errorbar upper/lower limits
  - More consistent add-object API for Axes
  - Violin Plots
  - More `markevery` options to show only a subset of markers
  - Added size related functions to specialized `Collections`
  - Fixed the mouse coordinates giving the wrong theta value in
    Polar graph
  - Simple quiver plot for mplot3d toolkit
  - polar-plot r-tick locations
  * Date handling
  - n-d array support for date conversion
  * Configuration (rcParams)
  - 'savefig.transparent' added
  - 'axes.titleweight'
  - 'axes.formatter.useoffset' added
  * XDG compliance
  - Matplotlib now looks for configuration files (both rcparams and
    style) in XDG compliant locations.
  * 'style' package added
  - You can now easily switch between different styles using the
    new 'style' package
  * Backends
  - Qt5 backend added
  - Qt4 backend
    + Rudolf Höfler changed the appearance of the subplottool.
    + In the figure options dialog one can now choose to
    (re-)generate a simple automatic legend.
    + Interactive performance of the Qt4 backend has been
    dramatically improved under windows.
    + The mapping of key-signals from Qt to values matplotlib
    understands was greatly improved (For both Qt4 and Qt5).
  - Cairo backends
    +  The Cairo backends are now able to use the cairocffi
    bindings, which are more actively maintained than the pycairo
    bindings.
  - Gtk3Agg backend
    +  The Gtk3Agg backend now works on Python 3.x, if the cairocffi
    bindings are installed.
  - PDF backend
    +  Added context manager for saving to multi-page PDFs.
  * Text
  - Text URLs supported by SVG backend
  - Anchored sizebar font
  * Sphinx extensions
  - The context directive in the plot_directive Sphinx extension
    can now accept an optional reset setting, which will cause the
    context  to be reset.
  * Widgets
  - Span Selector
  * Added an option span_stays to SpanSelector which makes the
    selector rectangle stay on the axes after you release the
    mouse.
  * GAE integration
  - Matplotlib will now run on google app engine.
- Added python-qt5 backend on openSUSE > 13.1
- Spec file cleanups
- Disable non-working qt4 backend on openSUSE 12.2.
* Wed Jul 16 2014 cfarrell@suse.com
- license update: SUSE-Matplotlib
  JD Hunter license is Matplotlib
* Wed Jul 16 2014 toddrme2178@gmail.com
- Set dummy XDG_RUNTIME_DIR to fix building on openSUSE:Factory
* Thu Nov 14 2013 toddrme2178@gmail.com
- Enable all supported backends
- Split most backends into separate packages
- Update dependencies
- Add many optional dependencies
- Make %%setup.py quiet
* Wed Oct 23 2013 toddrme2178@gmail.com
- Update to 1.3.1
  * bugfixes
* Wed Aug 14 2013 speilicke@suse.com
- Require python3-pyparsing
* Wed Aug 14 2013 speilicke@suse.com
- Update to version 1.3.0:
  + Upstream provides no changelog
- Disabled Qt4 backend for now
- Fixed dependencies
- Dropped no-multiprocessing-setup.patch: Merged upstream
- Don't remove __pycache__
- Fix non-executable bit rpmlint issue
* Fri Jul 12 2013 cfarrell@suse.com
- license update: Python-2.0
  See PKG-INFO
* Mon Nov 12 2012 highwaystar.ru@gmail.com
- update to 1.2.0
  * Python 3.x support
  * PGF/TikZ backend
  * Locator interface
  * Tri-Surface Plots
  * Control the lengths of colorbar extensions
  * Figures are picklable
  * Set default bounding box in matplotlibrc
  * New Boxplot Functionality
  * New RC parameter functionality
  * Streamplot
  * New hist functionality
  * Updated shipped dependencies
  * Face-centred colors in tripcolor plots
  * Hatching patterns in filled contour plots, with legends
- python3 package added
